:root {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
}

body {
    margin: 0;
    padding: 0;
}

body, input, button, a, textarea {
    font-size: inherit;
    font-family: inherit;
}

input {
    padding: 4px;
    margin-top: 3px;
    margin-bottom: 3px;
}

/* ######################################## */
/* MAIN GRID */
/* ######################################## */

#main-grid {
    display: grid;
    grid-template-columns: 14vw 6vw 1fr 6vw 14vw;
    grid-template-rows: minmax(65px, 7vh) 5vh 1fr 5vh minmax(65px, 7vh);
    height: 100vh;
}

#shadow-header {
    grid-row: 1 / 2;
    grid-column: 1 / 6;
    border-bottom-style: solid;
    border-block-width: 1px;
    border-bottom-color: grey;
}

#header {
    grid-row: 1 / 2;
    grid-column: 2 / 5;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-content: center;
    text-align: center;
}

#header ul {
    display: flex;
    flex-direction: row;
    padding: none;
}

#header ul li {
    list-style: none;
    padding-right: 2rem;
    text-align: center;
}

#header ul li a {
    display: flex;
    height: 100%;
    width: 100%;
    justify-content: center;
    align-items: center;
}

#content {
    grid-row: 3 / 4;
    grid-column: 3 / 4;
}

#shadow-footer {
    grid-row: 5 / 6;
    grid-column: 1 / 6;
    border-bottom-style: solid;
    border-block-width: 1px;
    
}

#footer {
    grid-row: 5 / 6;
    grid-column: 2 / 5;
}

/* ######################################## */
/* END MAIN GRID */
/* ######################################## */

.window-centralize-wraper {
    display: flex;
    flex-direction: column;
    height: 100%;
    align-items: center;
    justify-content: center;
}

.general-form {
    width: 270px;
}

.general-form p {
    display: flex;
    flex-direction: column;
    margin-top: 0;
    margin-bottom: 1.3rem;
}

.general-form ul.errorlist {
    padding: 10px;
    color: red;
}


/* ######################################## */
/* GENERAL GRIDS */
/* ######################################## */

.page-grid {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr auto;
    grid-column-gap: 1rem;
}

.page-grid-header {
    grid-row: 1 / 2;
}

.page-headers-stack {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: start;
}

.page-grid-content {
    grid-row: 2 / 3;
}

.page-grid-footer {
    grid-row: 3 / 4;
}


.repr-card {
    display: grid;
    grid-template-columns: 45px minmax(45px, auto) 1fr minmax(200px, 250px);
    border: 1px solid black;
}

.repr-card-selector {
    grid-column: 1 / 2;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.repr-card-index {
    grid-column: 2 / 3;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.repr-card-content {
    grid-column: 3 / 4;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 2.5rem;
    padding-right: 2.5rem;
}

.repr-card-btns {
    place-self: center start;
    grid-column: 4 / 5;
}

/* ######################################## */
/* END GENERAL GRIDS */
/* ######################################## */


/* ######################################## */
/* GENERAL */
/* ######################################## */

.right-aligned-row {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.left-aligned-row {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.base-header, .base-footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding-left: 5%;
    padding-right: 5%;
}

.vbox {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    padding: 0.5rem;
    text-align: center;
}
.vbox > * {
    margin-bottom: 0.5rem;
}

a.link-btn {
    border: 1px solid black;
    padding-top: 0.4rem;
    padding-bottom: 0.4rem;
    padding-left: 0.8rem;
    padding-right: 0.8rem;
}
a.link-btn:visited {
    all: unset;
}
a.link-btn:active {
    color: unset;
}

/* ######################################## */
/* END GENERAL */
/* ######################################## */


